- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::OrigIpoptNLP Class Reference

This class maps the traditional NLP into something that is more useful by Ipopt. More...

`#include <IpOrigIpoptNLP.hpp>`

Inheritance diagram for Ipopt::OrigIpoptNLP:

[legend]
Collaboration diagram for Ipopt::OrigIpoptNLP:

[legend]
List of all members.

## Public Member Functions
virtual bool | Initialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)
| Initialize - overloaded from IpoptNLP.
virtual bool | InitializeStructures (SmartPtr< Vector > &x, bool init_x, SmartPtr< Vector > &y_c, bool init_y_c, SmartPtr< Vector > &y_d, bool init_y_d, SmartPtr< Vector > &z_L, bool init_z_L, SmartPtr< Vector > &z_U, bool init_z_U, SmartPtr< Vector > &v_L, SmartPtr< Vector > &v_U)
| Initialize (create) structures for the iteration data.
virtual bool | GetWarmStartIterate (IteratesVector &warm_start_iterate)
| Method accessing the GetWarmStartIterate of the NLP.
virtual void | GetSpaces (SmartPtr< const VectorSpace > &x_space, SmartPtr< const VectorSpace > &c_space, SmartPtr< const VectorSpace > &d_space, SmartPtr< const VectorSpace > &x_l_space, SmartPtr< const MatrixSpace > &px_l_space, SmartPtr< const VectorSpace > &x_u_space, SmartPtr< const MatrixSpace > &px_u_space, SmartPtr< const VectorSpace > &d_l_space, SmartPtr< const MatrixSpace > &pd_l_space, SmartPtr< const VectorSpace > &d_u_space, SmartPtr< const MatrixSpace > &pd_u_space, SmartPtr< const MatrixSpace > &Jac_c_space, SmartPtr< const MatrixSpace > &Jac_d_space, SmartPtr< const SymMatrixSpace > &Hess_lagrangian_space)
| Accessor method for vector/matrix spaces pointers.
virtual void | AdjustVariableBounds (const Vector &new_x_L, const Vector &new_x_U, const Vector &new_d_L, const Vector &new_d_U)
| Method for adapting the variable bounds.
SmartPtr< NLP > | nlp ()
| Accessor method to the underlying NLP.
void | PrintTimingStatistics (Journalist &jnlst, EJournalLevel level, EJournalCategory category) const
Number | TotalFunctionEvaluationCPUTime () const
Constructors/Destructors
| OrigIpoptNLP (const SmartPtr< const Journalist > &jnlst, const SmartPtr< NLP > &nlp, const SmartPtr< NLPScalingObject > &nlp_scaling)
virtual | ~OrigIpoptNLP ()
| Default destructor.
virtual Number | f (const Vector &x)
| Objective value.
virtual Number | f (const Vector &x, Number mu)
| Objective value (depending in mu) - incorrect version for OrigIpoptNLP.
virtual SmartPtr< const Vector > | grad_f (const Vector &x)
| Gradient of the objective.
virtual SmartPtr< const Vector > | grad_f (const Vector &x, Number mu)
| Gradient of the objective (depending in mu) - incorrect version for OrigIpoptNLP.
virtual SmartPtr< const Vector > | c (const Vector &x)
| Equality constraint residual.
virtual SmartPtr< const Matrix > | jac_c (const Vector &x)
| Jacobian Matrix for equality constraints.
virtual SmartPtr< const Vector > | d (const Vector &x)
| Inequality constraint residual (reformulated as equalities with slacks.
virtual SmartPtr< const Matrix > | jac_d (const Vector &x)
| Jacobian Matrix for inequality constraints.
virtual SmartPtr< const SymMatrix > | h (const Vector &x, Number obj_factor, const Vector &yc, const Vector &yd)
| Hessian of the Lagrangian.
virtual SmartPtr< const SymMatrix > | h (const Vector &x, Number obj_factor, const Vector &yc, const Vector &yd, Number mu)
| Hessian of the Lagrangian (depending in mu) - incorrect version for OrigIpoptNLP.
virtual SmartPtr< const SymMatrix > | uninitialized_h ()
| Provides a Hessian matrix from the correct matrix space with uninitialized values.
virtual SmartPtr< const Vector > | x_L () const
| Lower bounds on x.
virtual SmartPtr< const Matrix > | Px_L () const
| Permutation matrix (x_L_ -> x).
virtual SmartPtr< const Vector > | x_U () const
| Upper bounds on x.
virtual SmartPtr< const Matrix > | Px_U () const
| Permutation matrix (x_U_ -> x.
virtual SmartPtr< const Vector > | d_L () const
| Lower bounds on d.
virtual SmartPtr< const Matrix > | Pd_L () const
| Permutation matrix (d_L_ -> d).
virtual SmartPtr< const Vector > | d_U () const
| Upper bounds on d.
virtual SmartPtr< const Matrix > | Pd_U () const
| Permutation matrix (d_U_ -> d.
virtual SmartPtr< const SymMatrixSpace > | HessianMatrixSpace () const
| Objective value.
Counters for the number of function evaluations.
virtual Index | f_evals () const
virtual Index | grad_f_evals () const
virtual Index | c_evals () const
virtual Index | jac_c_evals () const
virtual Index | d_evals () const
virtual Index | jac_d_evals () const
virtual Index | h_evals () const
void | FinalizeSolution (SolverReturn status, const Vector &x, const Vector &z_L, const Vector &z_U, const Vector &c, const Vector &d, const Vector &y_c, const Vector &y_d, Number obj_value, const IpoptData *ip_data, IpoptCalculatedQuantities *ip_cq)
| Solution Routines - overloaded from IpoptNLP.
bool | IntermediateCallBack (AlgorithmMode mode, Index iter, Number obj_value, Number inf_pr, Number inf_du, Number mu, Number d_norm, Number regularization_size, Number alpha_du, Number alpha_pr, Index ls_trials, SmartPtr< const IpoptData > ip_data, SmartPtr< IpoptCalculatedQuantities > ip_cq)
| Solution Routines - overloaded from IpoptNLP.
## Static Public Member Functions
Methods for IpoptType
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
| Called by IpoptType to register the options.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| OrigIpoptNLP ()
| Default Constructor.
| OrigIpoptNLP (const OrigIpoptNLP &)
| Copy Constructor.
void | operator= (const OrigIpoptNLP &)
| Overloaded Equals Operator.
auxilliary functions
void | relax_bounds (Number bound_relax_factor, Vector &bounds)
| relax the bounds by a relative move of relax_bound_factor.
SmartPtr< const Vector > | get_unscaled_x (const Vector &x)
| Method for getting the unscaled version of the x vector.
## Private Attributes
SmartPtr< const Journalist > | jnlst_
| journalist
SmartPtr< NLP > | nlp_
| Pointer to the NLP.
bool | initialized_
| Flag indicating if initialization method has been called.
SmartPtr< const VectorSpace > | x_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const VectorSpace > | c_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const VectorSpace > | d_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const VectorSpace > | x_l_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const MatrixSpace > | px_l_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const VectorSpace > | x_u_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const MatrixSpace > | px_u_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const VectorSpace > | d_l_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const MatrixSpace > | pd_l_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const VectorSpace > | d_u_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const MatrixSpace > | pd_u_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const MatrixSpace > | jac_c_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const MatrixSpace > | jac_d_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const SymMatrixSpace > | h_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const MatrixSpace > | scaled_jac_c_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const MatrixSpace > | scaled_jac_d_space_
| Necessary Vector/Matrix spaces.
SmartPtr< const SymMatrixSpace > | scaled_h_space_
| Necessary Vector/Matrix spaces.
Storage for Model Quantities
CachedResults< Number > | f_cache_
| Objective function.
CachedResults< SmartPtr< const Vector > > | grad_f_cache_
| Gradient of the objective function.
CachedResults< SmartPtr< const Vector > > | c_cache_
| Equality constraint residuals.
CachedResults< SmartPtr< const Matrix > > | jac_c_cache_
| Jacobian Matrix for equality constraints (current iteration).
CachedResults< SmartPtr< const Vector > > | d_cache_
| Inequality constraint residual (reformulated as equalities with slacks.
CachedResults< SmartPtr< const Matrix > > | jac_d_cache_
| Jacobian Matrix for inequality constraints (current iteration).
CachedResults< SmartPtr< const SymMatrix > > | h_cache_
| Hessian of the lagrangian (current iteration).
CachedResults< SmartPtr< const Vector > > | unscaled_x_cache_
| Unscaled version of x vector.
SmartPtr< const Vector > | x_L_
| Lower bounds on x.
SmartPtr< const Matrix > | Px_L_
| Permutation matrix (x_L_ -> x).
SmartPtr< const Vector > | x_U_
| Upper bounds on x.
SmartPtr< const Matrix > | Px_U_
| Permutation matrix (x_U_ -> x.
SmartPtr< const Vector > | d_L_
| Lower bounds on d.
SmartPtr< const Matrix > | Pd_L_
| Permutation matrix (d_L_ -> d).
SmartPtr< const Vector > | d_U_
| Upper bounds on d.
SmartPtr< const Matrix > | Pd_U_
| Permutation matrix (d_U_ -> d.
SmartPtr< const Vector > | orig_x_L_
| Original unmodified lower bounds on x.
SmartPtr< const Vector > | orig_x_U_
| Original unmodified upper bounds on x.
Algorithmic parameters
Number | bound_relax_factor_
| relaxation factor for the bounds
bool | honor_original_bounds_
| Flag indicating whether the primal variables should be projected back into original bounds are optimization.
bool | warm_start_same_structure_
| Flag indicating whether the TNLP with identical structure has already been solved before.
HessianApproximationType | hessian_approximation_
| Flag indicating what Hessian information is to be used.
HessianApproximationSpace | hessian_approximation_space_
| Flag indicating in which space Hessian is to be approximated.
bool | check_derivatives_for_naninf_
| Flag indicating whether it is desired to check if there are Nan or Inf entries in first and second derivative matrices.
bool | jac_c_constant_
| Flag indicating if we need to ask for equality constraint Jacobians only once.
bool | jac_d_constant_
| Flag indicating if we need to ask for inequality constraint Jacobians only once.
bool | hessian_constant_
| Flag indicating if we need to ask for Hessian only once.
Counters for the function evaluations
Index | f_evals_
Index | grad_f_evals_
Index | c_evals_
Index | jac_c_evals_
Index | d_evals_
Index | jac_d_evals_
Index | h_evals_
Timing statistics for the function evaluations.
TimedTask | f_eval_time_
TimedTask | grad_f_eval_time_
TimedTask | c_eval_time_
TimedTask | jac_c_eval_time_
TimedTask | d_eval_time_
TimedTask | jac_d_eval_time_
TimedTask | h_eval_time_

## Detailed Description

This class maps the traditional NLP into something that is more useful by Ipopt.

This class takes care of storing the calculated model results, handles cacheing, and (some day) takes care of addition of slacks.

Definition at line 37 of file IpOrigIpoptNLP.hpp.

## Constructor & Destructor Documentation

Ipopt::OrigIpoptNLP::OrigIpoptNLP | ( | const SmartPtr< const Journalist > & | jnlst,
|  | const SmartPtr< NLP > & | nlp,
|  | const SmartPtr< NLPScalingObject > & | nlp_scaling |
| ) |  |  |

virtual Ipopt::OrigIpoptNLP::~OrigIpoptNLP | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::OrigIpoptNLP::OrigIpoptNLP | ( |  | ) | `[private]`

Default Constructor.

Ipopt::OrigIpoptNLP::OrigIpoptNLP | ( | const OrigIpoptNLP & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::OrigIpoptNLP::Initialize | ( | const Journalist & | jnlst,
|  | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

Initialize - overloaded from IpoptNLP.

Reimplemented from Ipopt::IpoptNLP.

virtual bool Ipopt::OrigIpoptNLP::InitializeStructures | ( | SmartPtr< Vector > & | x,
|  | bool | init_x,
|  | SmartPtr< Vector > & | y_c,
|  | bool | init_y_c,
|  | SmartPtr< Vector > & | y_d,
|  | bool | init_y_d,
|  | SmartPtr< Vector > & | z_L,
|  | bool | init_z_L,
|  | SmartPtr< Vector > & | z_U,
|  | bool | init_z_U,
|  | SmartPtr< Vector > & | v_L,
|  | SmartPtr< Vector > & | v_U |
| ) |  |  | `[virtual]`

Initialize (create) structures for the iteration data.

Implements Ipopt::IpoptNLP.

virtual bool Ipopt::OrigIpoptNLP::GetWarmStartIterate | ( | IteratesVector & | warm_start_iterate | ) | `[inline, virtual]`

Method accessing the GetWarmStartIterate of the NLP.

Implements Ipopt::IpoptNLP.

Definition at line 72 of file IpOrigIpoptNLP.hpp.

References nlp_.

virtual Number Ipopt::OrigIpoptNLP::f | ( | const Vector & | x | ) | `[virtual]`

Objective value.

Implements Ipopt::IpoptNLP.

virtual Number Ipopt::OrigIpoptNLP::f | ( | const Vector & | x,
|  | Number | mu |
| ) |  |  | `[virtual]`

Objective value (depending in mu) - incorrect version for OrigIpoptNLP.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::OrigIpoptNLP::grad_f | ( | const Vector & | x | ) | `[virtual]`

Gradient of the objective.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::OrigIpoptNLP::grad_f | ( | const Vector & | x,
|  | Number | mu |
| ) |  |  | `[virtual]`

Gradient of the objective (depending in mu) - incorrect version for OrigIpoptNLP.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::OrigIpoptNLP::c | ( | const Vector & | x | ) | `[virtual]`

Equality constraint residual.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::jac_c | ( | const Vector & | x | ) | `[virtual]`

Jacobian Matrix for equality constraints.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::OrigIpoptNLP::d | ( | const Vector & | x | ) | `[virtual]`

Inequality constraint residual (reformulated as equalities with slacks.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::jac_d | ( | const Vector & | x | ) | `[virtual]`

Jacobian Matrix for inequality constraints.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const SymMatrix> Ipopt::OrigIpoptNLP::h | ( | const Vector & | x,
|  | Number | obj_factor,
|  | const Vector & | yc,
|  | const Vector & | yd |
| ) |  |  | `[virtual]`

Hessian of the Lagrangian.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const SymMatrix> Ipopt::OrigIpoptNLP::h | ( | const Vector & | x,
|  | Number | obj_factor,
|  | const Vector & | yc,
|  | const Vector & | yd,
|  | Number | mu |
| ) |  |  | `[virtual]`

Hessian of the Lagrangian (depending in mu) - incorrect version for OrigIpoptNLP.

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const SymMatrix> Ipopt::OrigIpoptNLP::uninitialized_h | ( |  | ) | `[virtual]`

Provides a Hessian matrix from the correct matrix space with uninitialized values.

This can be used in LeastSquareMults to obtain a "zero Hessian".

Implements Ipopt::IpoptNLP.

virtual SmartPtr<const Vector> Ipopt::OrigIpoptNLP::x_L | ( |  | ) | const`[inline, virtual]`

Lower bounds on x.

Implements Ipopt::IpoptNLP.

Definition at line 126 of file IpOrigIpoptNLP.hpp.

References x_L_.

virtual SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::Px_L | ( |  | ) | const`[inline, virtual]`

Permutation matrix (x_L_ -> x).

Implements Ipopt::IpoptNLP.

Definition at line 132 of file IpOrigIpoptNLP.hpp.

References Px_L_.

virtual SmartPtr<const Vector> Ipopt::OrigIpoptNLP::x_U | ( |  | ) | const`[inline, virtual]`

Upper bounds on x.

Implements Ipopt::IpoptNLP.

Definition at line 138 of file IpOrigIpoptNLP.hpp.

References x_U_.

virtual SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::Px_U | ( |  | ) | const`[inline, virtual]`

Permutation matrix (x_U_ -> x.

Implements Ipopt::IpoptNLP.

Definition at line 144 of file IpOrigIpoptNLP.hpp.

References Px_U_.

virtual SmartPtr<const Vector> Ipopt::OrigIpoptNLP::d_L | ( |  | ) | const`[inline, virtual]`

Lower bounds on d.

Implements Ipopt::IpoptNLP.

Definition at line 150 of file IpOrigIpoptNLP.hpp.

References d_L_.

virtual SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::Pd_L | ( |  | ) | const`[inline, virtual]`

Permutation matrix (d_L_ -> d).

Implements Ipopt::IpoptNLP.

Definition at line 156 of file IpOrigIpoptNLP.hpp.

References Pd_L_.

virtual SmartPtr<const Vector> Ipopt::OrigIpoptNLP::d_U | ( |  | ) | const`[inline, virtual]`

Upper bounds on d.

Implements Ipopt::IpoptNLP.

Definition at line 162 of file IpOrigIpoptNLP.hpp.

References d_U_.

virtual SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::Pd_U | ( |  | ) | const`[inline, virtual]`

Permutation matrix (d_U_ -> d.

Implements Ipopt::IpoptNLP.

Definition at line 168 of file IpOrigIpoptNLP.hpp.

References Pd_U_.

virtual SmartPtr<const SymMatrixSpace> Ipopt::OrigIpoptNLP::HessianMatrixSpace | ( |  | ) | const`[inline, virtual]`

Objective value.

Implements Ipopt::IpoptNLP.

Definition at line 173 of file IpOrigIpoptNLP.hpp.

References h_space_.

virtual void Ipopt::OrigIpoptNLP::GetSpaces | ( | SmartPtr< const VectorSpace > & | x_space,
|  | SmartPtr< const VectorSpace > & | c_space,
|  | SmartPtr< const VectorSpace > & | d_space,
|  | SmartPtr< const VectorSpace > & | x_l_space,
|  | SmartPtr< const MatrixSpace > & | px_l_space,
|  | SmartPtr< const VectorSpace > & | x_u_space,
|  | SmartPtr< const MatrixSpace > & | px_u_space,
|  | SmartPtr< const VectorSpace > & | d_l_space,
|  | SmartPtr< const MatrixSpace > & | pd_l_space,
|  | SmartPtr< const VectorSpace > & | d_u_space,
|  | SmartPtr< const MatrixSpace > & | pd_u_space,
|  | SmartPtr< const MatrixSpace > & | Jac_c_space,
|  | SmartPtr< const MatrixSpace > & | Jac_d_space,
|  | SmartPtr< const SymMatrixSpace > & | Hess_lagrangian_space |
| ) |  |  | `[virtual]`

Accessor method for vector/matrix spaces pointers.

Implements Ipopt::IpoptNLP.

virtual void Ipopt::OrigIpoptNLP::AdjustVariableBounds | ( | const Vector & | new_x_L,
|  | const Vector & | new_x_U,
|  | const Vector & | new_d_L,
|  | const Vector & | new_d_U |
| ) |  |  | `[virtual]`

Method for adapting the variable bounds.

This is called if slacks are becoming too small

Implements Ipopt::IpoptNLP.

virtual Index Ipopt::OrigIpoptNLP::f_evals | ( |  | ) | const`[inline, virtual]`

Implements Ipopt::IpoptNLP.

Definition at line 204 of file IpOrigIpoptNLP.hpp.

References f_evals_.

virtual Index Ipopt::OrigIpoptNLP::grad_f_evals | ( |  | ) | const`[inline, virtual]`

Implements Ipopt::IpoptNLP.

Definition at line 208 of file IpOrigIpoptNLP.hpp.

References grad_f_evals_.

virtual Index Ipopt::OrigIpoptNLP::c_evals | ( |  | ) | const`[inline, virtual]`

Implements Ipopt::IpoptNLP.

Definition at line 212 of file IpOrigIpoptNLP.hpp.

References c_evals_.

virtual Index Ipopt::OrigIpoptNLP::jac_c_evals | ( |  | ) | const`[inline, virtual]`

Implements Ipopt::IpoptNLP.

Definition at line 216 of file IpOrigIpoptNLP.hpp.

References jac_c_evals_.

virtual Index Ipopt::OrigIpoptNLP::d_evals | ( |  | ) | const`[inline, virtual]`

Implements Ipopt::IpoptNLP.

Definition at line 220 of file IpOrigIpoptNLP.hpp.

References d_evals_.

virtual Index Ipopt::OrigIpoptNLP::jac_d_evals | ( |  | ) | const`[inline, virtual]`

Implements Ipopt::IpoptNLP.

Definition at line 224 of file IpOrigIpoptNLP.hpp.

References jac_d_evals_.

virtual Index Ipopt::OrigIpoptNLP::h_evals | ( |  | ) | const`[inline, virtual]`

Implements Ipopt::IpoptNLP.

Definition at line 228 of file IpOrigIpoptNLP.hpp.

References h_evals_.

void Ipopt::OrigIpoptNLP::FinalizeSolution | ( | SolverReturn | status,
|  | const Vector & | x,
|  | const Vector & | z_L,
|  | const Vector & | z_U,
|  | const Vector & | c,
|  | const Vector & | d,
|  | const Vector & | y_c,
|  | const Vector & | y_d,
|  | Number | obj_value,
|  | const IpoptData * | ip_data,
|  | IpoptCalculatedQuantities * | ip_cq |
| ) |  |  | `[virtual]`

Solution Routines - overloaded from IpoptNLP.

Implements Ipopt::IpoptNLP.

bool Ipopt::OrigIpoptNLP::IntermediateCallBack | ( | AlgorithmMode | mode,
|  | Index | iter,
|  | Number | obj_value,
|  | Number | inf_pr,
|  | Number | inf_du,
|  | Number | mu,
|  | Number | d_norm,
|  | Number | regularization_size,
|  | Number | alpha_du,
|  | Number | alpha_pr,
|  | Index | ls_trials,
|  | SmartPtr< const IpoptData > | ip_data,
|  | SmartPtr< IpoptCalculatedQuantities > | ip_cq |
| ) |  |  | `[virtual]`

Solution Routines - overloaded from IpoptNLP.

Implements Ipopt::IpoptNLP.

static void Ipopt::OrigIpoptNLP::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

Called by IpoptType to register the options.

SmartPtr<NLP> Ipopt::OrigIpoptNLP::nlp | ( |  | ) | `[inline]`

Accessor method to the underlying NLP.

Definition at line 261 of file IpOrigIpoptNLP.hpp.

References nlp_.

void Ipopt::OrigIpoptNLP::PrintTimingStatistics | ( | Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category |
| ) |  |  | const

Number Ipopt::OrigIpoptNLP::TotalFunctionEvaluationCPUTime | ( |  | ) | const

void Ipopt::OrigIpoptNLP::operator= | ( | const OrigIpoptNLP & |  | ) | `[private]`

Overloaded Equals Operator.

void Ipopt::OrigIpoptNLP::relax_bounds | ( | Number | bound_relax_factor,
|  | Vector & | bounds |
| ) |  |  | `[private]`

relax the bounds by a relative move of relax_bound_factor.

Here, relax_bound_factor should be negative (or zero) for lower bounds, and positive (or zero) for upper bounds.

SmartPtr<const Vector> Ipopt::OrigIpoptNLP::get_unscaled_x | ( | const Vector & | x | ) | `[private]`

Method for getting the unscaled version of the x vector.

## Member Data Documentation

SmartPtr<const Journalist> Ipopt::OrigIpoptNLP::jnlst_`[private]`

journalist

Definition at line 274 of file IpOrigIpoptNLP.hpp.

SmartPtr<NLP> Ipopt::OrigIpoptNLP::nlp_`[private]`

Pointer to the NLP.

Definition at line 277 of file IpOrigIpoptNLP.hpp.

Referenced by GetWarmStartIterate(), and nlp().

SmartPtr<const VectorSpace> Ipopt::OrigIpoptNLP::x_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 281 of file IpOrigIpoptNLP.hpp.

SmartPtr<const VectorSpace> Ipopt::OrigIpoptNLP::c_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 282 of file IpOrigIpoptNLP.hpp.

SmartPtr<const VectorSpace> Ipopt::OrigIpoptNLP::d_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 283 of file IpOrigIpoptNLP.hpp.

SmartPtr<const VectorSpace> Ipopt::OrigIpoptNLP::x_l_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 284 of file IpOrigIpoptNLP.hpp.

SmartPtr<const MatrixSpace> Ipopt::OrigIpoptNLP::px_l_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 285 of file IpOrigIpoptNLP.hpp.

SmartPtr<const VectorSpace> Ipopt::OrigIpoptNLP::x_u_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 286 of file IpOrigIpoptNLP.hpp.

SmartPtr<const MatrixSpace> Ipopt::OrigIpoptNLP::px_u_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 287 of file IpOrigIpoptNLP.hpp.

SmartPtr<const VectorSpace> Ipopt::OrigIpoptNLP::d_l_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 288 of file IpOrigIpoptNLP.hpp.

SmartPtr<const MatrixSpace> Ipopt::OrigIpoptNLP::pd_l_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 289 of file IpOrigIpoptNLP.hpp.

SmartPtr<const VectorSpace> Ipopt::OrigIpoptNLP::d_u_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 290 of file IpOrigIpoptNLP.hpp.

SmartPtr<const MatrixSpace> Ipopt::OrigIpoptNLP::pd_u_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 291 of file IpOrigIpoptNLP.hpp.

SmartPtr<const MatrixSpace> Ipopt::OrigIpoptNLP::jac_c_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 292 of file IpOrigIpoptNLP.hpp.

SmartPtr<const MatrixSpace> Ipopt::OrigIpoptNLP::jac_d_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 293 of file IpOrigIpoptNLP.hpp.

SmartPtr<const SymMatrixSpace> Ipopt::OrigIpoptNLP::h_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 294 of file IpOrigIpoptNLP.hpp.

Referenced by HessianMatrixSpace().

SmartPtr<const MatrixSpace> Ipopt::OrigIpoptNLP::scaled_jac_c_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 296 of file IpOrigIpoptNLP.hpp.

SmartPtr<const MatrixSpace> Ipopt::OrigIpoptNLP::scaled_jac_d_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 297 of file IpOrigIpoptNLP.hpp.

SmartPtr<const SymMatrixSpace> Ipopt::OrigIpoptNLP::scaled_h_space_`[private]`

Necessary Vector/Matrix spaces.

Definition at line 298 of file IpOrigIpoptNLP.hpp.

CachedResults<Number> Ipopt::OrigIpoptNLP::f_cache_`[private]`

Objective function.

Definition at line 303 of file IpOrigIpoptNLP.hpp.

CachedResults<SmartPtr<const Vector> > Ipopt::OrigIpoptNLP::grad_f_cache_`[private]`

Gradient of the objective function.

Definition at line 306 of file IpOrigIpoptNLP.hpp.

CachedResults<SmartPtr<const Vector> > Ipopt::OrigIpoptNLP::c_cache_`[private]`

Equality constraint residuals.

Definition at line 309 of file IpOrigIpoptNLP.hpp.

CachedResults<SmartPtr<const Matrix> > Ipopt::OrigIpoptNLP::jac_c_cache_`[private]`

Jacobian Matrix for equality constraints (current iteration).

Definition at line 313 of file IpOrigIpoptNLP.hpp.

CachedResults<SmartPtr<const Vector> > Ipopt::OrigIpoptNLP::d_cache_`[private]`

Inequality constraint residual (reformulated as equalities with slacks.

Definition at line 317 of file IpOrigIpoptNLP.hpp.

CachedResults<SmartPtr<const Matrix> > Ipopt::OrigIpoptNLP::jac_d_cache_`[private]`

Jacobian Matrix for inequality constraints (current iteration).

Definition at line 321 of file IpOrigIpoptNLP.hpp.

CachedResults<SmartPtr<const SymMatrix> > Ipopt::OrigIpoptNLP::h_cache_`[private]`

Hessian of the lagrangian (current iteration).

Definition at line 325 of file IpOrigIpoptNLP.hpp.

CachedResults<SmartPtr<const Vector> > Ipopt::OrigIpoptNLP::unscaled_x_cache_`[private]`

Unscaled version of x vector.

Definition at line 328 of file IpOrigIpoptNLP.hpp.

SmartPtr<const Vector> Ipopt::OrigIpoptNLP::x_L_`[private]`

Lower bounds on x.

Definition at line 331 of file IpOrigIpoptNLP.hpp.

Referenced by x_L().

SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::Px_L_`[private]`

Permutation matrix (x_L_ -> x).

Definition at line 334 of file IpOrigIpoptNLP.hpp.

Referenced by Px_L().

SmartPtr<const Vector> Ipopt::OrigIpoptNLP::x_U_`[private]`

Upper bounds on x.

Definition at line 337 of file IpOrigIpoptNLP.hpp.

Referenced by x_U().

SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::Px_U_`[private]`

Permutation matrix (x_U_ -> x.

Definition at line 340 of file IpOrigIpoptNLP.hpp.

Referenced by Px_U().

SmartPtr<const Vector> Ipopt::OrigIpoptNLP::d_L_`[private]`

Lower bounds on d.

Definition at line 343 of file IpOrigIpoptNLP.hpp.

Referenced by d_L().

SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::Pd_L_`[private]`

Permutation matrix (d_L_ -> d).

Definition at line 346 of file IpOrigIpoptNLP.hpp.

Referenced by Pd_L().

SmartPtr<const Vector> Ipopt::OrigIpoptNLP::d_U_`[private]`

Upper bounds on d.

Definition at line 349 of file IpOrigIpoptNLP.hpp.

Referenced by d_U().

SmartPtr<const Matrix> Ipopt::OrigIpoptNLP::Pd_U_`[private]`

Permutation matrix (d_U_ -> d.

Definition at line 352 of file IpOrigIpoptNLP.hpp.

Referenced by Pd_U().

SmartPtr<const Vector> Ipopt::OrigIpoptNLP::orig_x_L_`[private]`

Original unmodified lower bounds on x.

Definition at line 355 of file IpOrigIpoptNLP.hpp.

SmartPtr<const Vector> Ipopt::OrigIpoptNLP::orig_x_U_`[private]`

Original unmodified upper bounds on x.

Definition at line 358 of file IpOrigIpoptNLP.hpp.

Number Ipopt::OrigIpoptNLP::bound_relax_factor_`[private]`

relaxation factor for the bounds

Definition at line 393 of file IpOrigIpoptNLP.hpp.

bool Ipopt::OrigIpoptNLP::honor_original_bounds_`[private]`

Flag indicating whether the primal variables should be projected back into original bounds are optimization.

Definition at line 396 of file IpOrigIpoptNLP.hpp.

bool Ipopt::OrigIpoptNLP::warm_start_same_structure_`[private]`

Flag indicating whether the TNLP with identical structure has already been solved before.

Definition at line 399 of file IpOrigIpoptNLP.hpp.

HessianApproximationType Ipopt::OrigIpoptNLP::hessian_approximation_`[private]`

Flag indicating what Hessian information is to be used.

Definition at line 401 of file IpOrigIpoptNLP.hpp.

HessianApproximationSpace Ipopt::OrigIpoptNLP::hessian_approximation_space_`[private]`

Flag indicating in which space Hessian is to be approximated.

Definition at line 403 of file IpOrigIpoptNLP.hpp.

bool Ipopt::OrigIpoptNLP::check_derivatives_for_naninf_`[private]`

Flag indicating whether it is desired to check if there are Nan or Inf entries in first and second derivative matrices.

Definition at line 406 of file IpOrigIpoptNLP.hpp.

bool Ipopt::OrigIpoptNLP::jac_c_constant_`[private]`

Flag indicating if we need to ask for equality constraint Jacobians only once.

Definition at line 409 of file IpOrigIpoptNLP.hpp.

bool Ipopt::OrigIpoptNLP::jac_d_constant_`[private]`

Flag indicating if we need to ask for inequality constraint Jacobians only once.

Definition at line 412 of file IpOrigIpoptNLP.hpp.

bool Ipopt::OrigIpoptNLP::hessian_constant_`[private]`

Flag indicating if we need to ask for Hessian only once.

Definition at line 414 of file IpOrigIpoptNLP.hpp.

Index Ipopt::OrigIpoptNLP::f_evals_`[private]`

Definition at line 419 of file IpOrigIpoptNLP.hpp.

Referenced by f_evals().

Index Ipopt::OrigIpoptNLP::grad_f_evals_`[private]`

Definition at line 420 of file IpOrigIpoptNLP.hpp.

Referenced by grad_f_evals().

Index Ipopt::OrigIpoptNLP::c_evals_`[private]`

Definition at line 421 of file IpOrigIpoptNLP.hpp.

Referenced by c_evals().

Index Ipopt::OrigIpoptNLP::jac_c_evals_`[private]`

Definition at line 422 of file IpOrigIpoptNLP.hpp.

Referenced by jac_c_evals().

Index Ipopt::OrigIpoptNLP::d_evals_`[private]`

Definition at line 423 of file IpOrigIpoptNLP.hpp.

Referenced by d_evals().

Index Ipopt::OrigIpoptNLP::jac_d_evals_`[private]`

Definition at line 424 of file IpOrigIpoptNLP.hpp.

Referenced by jac_d_evals().

Index Ipopt::OrigIpoptNLP::h_evals_`[private]`

Definition at line 425 of file IpOrigIpoptNLP.hpp.

Referenced by h_evals().

bool Ipopt::OrigIpoptNLP::initialized_`[private]`

Flag indicating if initialization method has been called.

Definition at line 429 of file IpOrigIpoptNLP.hpp.

TimedTask Ipopt::OrigIpoptNLP::f_eval_time_`[private]`

Definition at line 433 of file IpOrigIpoptNLP.hpp.

TimedTask Ipopt::OrigIpoptNLP::grad_f_eval_time_`[private]`

Definition at line 434 of file IpOrigIpoptNLP.hpp.

TimedTask Ipopt::OrigIpoptNLP::c_eval_time_`[private]`

Definition at line 435 of file IpOrigIpoptNLP.hpp.

TimedTask Ipopt::OrigIpoptNLP::jac_c_eval_time_`[private]`

Definition at line 436 of file IpOrigIpoptNLP.hpp.

TimedTask Ipopt::OrigIpoptNLP::d_eval_time_`[private]`

Definition at line 437 of file IpOrigIpoptNLP.hpp.

TimedTask Ipopt::OrigIpoptNLP::jac_d_eval_time_`[private]`

Definition at line 438 of file IpOrigIpoptNLP.hpp.

TimedTask Ipopt::OrigIpoptNLP::h_eval_time_`[private]`

Definition at line 439 of file IpOrigIpoptNLP.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/Algorithm/IpOrigIpoptNLP.hpp